{
  "name": "react-native-evernym-sdk",
  "title": "React Native Evernym SDK",
  "version": "1.0.0",
  "description": "The official React Native SDK for Evernym's Mobile SDK",
  "main": "src/index.js",
  "files": [
    "README.md",
    "android",
    "src",
    "ios",
    "react-native-evernym-sdk.podspec",
    "docs",
    "files"
  ],
  "scripts": {
    "test": "jest --detectOpenHandles --forceExit",
    "lint": "flow stop && flow && eslint src",
    "configure": "yarn --cwd ../.. copyfiles -su 3 'node_modules/react-native-evernym-sdk/src/evernym-sdk/*.js' ./app && echo 'Evernym React Native SDK configured successfully'"
  },
  "repository": {
    "type": "git",
    "url": "git@gitlab.com:evernym/mobile/react-native-evernym-sdk.git"
  },
  "keywords": [
    "ssi",
    "evernym",
    "mobile",
    "react-native"
  ],
  "author": {
    "name": "Evernym, Inc.",
    "email": "dev@evernym.com"
  },
  "license": "SEE LICENSE IN LICENSE.txt",
  "readmeFilename": "README.md",
  "peerDependencies": {
    "@react-native-community/async-storage": "^1.11.0",
    "@react-native-community/blur": "^3.6.0",
    "@react-native-community/masked-view": "^0.1.10",
    "@react-native-community/netinfo": "^5.9.2",
    "@react-native-community/push-notification-ios": "^1.4.0",
    "@react-native-firebase/app": "10.5.0",
    "@react-native-firebase/messaging": "10.5.1",
    "@react-navigation/compat": "^5.1.26",
    "@react-navigation/drawer": "^5.12.0",
    "@react-navigation/native": "^5.8.0",
    "@react-navigation/stack": "5.12.0",
    "@redux-saga/delay-p": "1.1.2",
    "ajv": "^6.12.2",
    "apptentive-react-native": "5.5.0",
    "bignumber.js": "^9.0.0",
    "color": "^3.1.2",
    "dayjs": "^1.9.1",
    "hoist-non-react-statics": "3.3.2",
    "jwt-decode": "3.1.2",
    "lodash.debounce": "^4.0.8",
    "lodash.findkey": "^4.6.0",
    "lodash.flatten": "^4.4.0",
    "lodash.get": "^4.4.2",
    "lodash.memoize": "^4.1.2",
    "lodash.merge": "^4.6.2",
    "lodash.throttle": "^4.1.1",
    "lodash.uniqby": "^4.7.0",
    "lottie-ios": "3.1.8",
    "lottie-react-native": "3.4.0",
    "moment": "^2.26.0",
    "patch-package": "6.4.7",
    "postinstall-postinstall": "2.1.0",
    "query-string": "^6.13.0",
    "react": "16.9.0",
    "react-native": "0.61.4",
    "react-native-action-sheet": "^2.2.0",
    "react-native-alert-async": "^1.0.5",
    "react-native-branch": "^5.0.0",
    "react-native-camera": "3.33.0",
    "react-native-device-info": "^5.6.1",
    "react-native-document-picker": "^3.4.0",
    "react-native-elements": "^2.0.2",
    "react-native-eva-icons": "^1.3.1",
    "react-native-file-viewer": "^2.1.1",
    "react-native-fingerprint-scanner": "^6.0.0",
    "react-native-flip-toggle-button": "^1.0.8",
    "react-native-gesture-handler": "1.6.1",
    "react-native-image-colors": "^1.2.4",
    "react-native-image-crop-picker": "^0.32.0",
    "react-native-image-resizer": "1.2.3",
    "react-native-keyboard-aware-scroll-view": "^0.9.1",
    "react-native-localize": "^1.4.0",
    "react-native-mail": "6.1.0",
    "react-native-modal": "11.5.6",
    "react-native-pbkdf2": "git://github.com/evernym/react-native-pbkdf2.git#v0.1.5",
    "react-native-qrcode-svg": "^6.1.1",
    "react-native-randombytes": "3.5.3",
    "react-native-reanimated": "1.9.0",
    "react-native-redash": "^15.7.3",
    "react-native-safe-area-context": "3.0.5",
    "react-native-screens": "2.17.1",
    "react-native-sensitive-info": "5.5.5",
    "react-native-shake": "3.4.0",
    "react-native-share": "3.4.0",
    "react-native-simple-radio-button": "2.7.4",
    "react-native-size-matters": "0.3.0",
    "react-native-snackbar": "2.2.3",
    "react-native-splash-screen": "3.2.0",
    "react-native-svg": "12.1.0",
    "react-native-svg-icon": "^0.8.1",
    "react-native-swipe-list-view": "^3.2.3",
    "react-native-switch": "^1.5.0",
    "react-native-unique-id": "2.0.0",
    "react-native-vector-icons": "6.6",
    "react-native-version-number": "^0.3.6",
    "react-native-webview": "10.1.1",
    "react-native-zip-archive": "5.0.2",
    "react-redux": "7.2.0",
    "redux": "4.0.5",
    "redux-logger": "3.0.6",
    "redux-persist": "^6.0.0",
    "redux-saga": "1.1.3",
    "rn-fetch-blob": "0.12.0",
    "url-parse": "^1.4.7",
    "use-debounce": "^6.0.1",
    "use-saga-reducer": "3.0.0",
    "validator": "^13.1.1"
  },
  "devDependencies": {
    "@babel/core": "^7.6.2",
    "@babel/plugin-proposal-decorators": "7.7.0",
    "babel-eslint": "10.0.3",
    "copyfiles": "^2.3.0",
    "eslint": "7.2.0",
    "eslint-plugin-flowtype": "5.1.3",
    "eslint-plugin-react": "^7.20.0",
    "flow-bin": "0.105.2",
    "husky": "^4.3.0",
    "jest": "24.9.0",
    "lint-staged": ">=10",
    "node-fetch": "2.6.0",
    "prettier": "2.0.5",
    "react-test-renderer": "16.9.0",
    "reactotron-react-native": "5.0.0",
    "redux-saga-test-plan": "4.0.0-rc.3",
    "yarnhook": "^0.5.1"
  },
  "jest": {
    "testEnvironment": "node",
    "preset": "react-native",
    "transformIgnorePatterns": [
      "node_modules/(?!(jest-)?react-native|@react-navigation/.*|jest-fetch-mock|apptentive-react-native|@react-native-community|react-native-version-number)"
    ],
    "moduleNameMapper": {
      "\\.(jpg|jpeg|png|gif|eot|otf|webp|svg|ttf|woff|woff2|mp4|webm|wav|mp3|m4a|aac|oga)$": "<rootDir>/__mocks__/image-mock.js",
      "app/evernym-sdk/(.*)$": "<rootDir>/src/evernym-sdk/$1.js"
    },
    "setupFiles": [
      "<rootDir>/__mocks__/setup.js"
    ],
    "coverageDirectory": "<rootDir>/coverage",
    "testPathIgnorePatterns": [
      "/e2e/",
      "/node_modules/"
    ],
    "watchPathIgnorePatterns": [
      "<rootDir>/node_modules/"
    ]
  },
  "lint-staged": {
    "*.js": "prettier --single-quote --no-semi --trailing-comma es5 --write"
  },
  "husky": {
    "hooks": {
      "post-checkout": "yarnhook",
      "post-merge": "yarnhook",
      "pre-commit": "yarn run lint-staged",
      "pre-push": "onerror \"npm test && npm run lint\" -t \"Push Failed\" -s Purr"
    }
  }
}
